## python-booleanoperations 0.8.0

=== requirements.txt ===
pyclipper==1.0.5
fonttools==3.1.2
ufoLib==2.0.0

=== debian/changelog ===
python-booleanoperations (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.0.
  * Bump policy version to 4.1.3.
  * Change Vcs fields to salsa.debian.org.

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 17 Jan 2018 23:28:39 +0800

python-booleanoperations (0.7.1-1) unstable; urgency=medium

  * Initial release. Closes: #806516

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Nov 2017 20:42:40 -0500

=== debian/control ===
Source: python-booleanoperations
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-fonttools (>= 3.1.2),
               python3-pytest (>= 3.0.2) <!nocheck>,
               python3-pyclipper (>= 1.0.5),
               python3-setuptools,
               python3-setuptools-scm,
               python3-ufolib (>= 2.0.0)
Standards-Version: 4.1.3
Homepage: https://github.com/typemytype/booleanOperations
Vcs-Git: https://salsa.debian.org/fonts-team/booleanoperations.git
Vcs-Browser: https://salsa.debian.org/fonts-team/booleanoperations

Package: python3-booleanoperations
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python library for Boolean operations on paths
 Boolean operations on paths based on a super fast polygon clipper library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=booleanoperations

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-booleanoperations 0.8.2

=== requirements.txt ===
pyclipper==1.0.5
# fontTools.ufoLib is not imported directly by booleanOperations, but
# the test suite needs defcon, which in turns requires fonttools installed
# with [ufo] support
fonttools[ufo]==3.32.0

=== debian/changelog ===
python-booleanoperations (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Jan 2019 20:31:47 +0800

python-booleanoperations (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Bump debhelper version to 11
  * debian/control:
    - Add Yao Wei (魏銘廷) as an Uploader
    - Update team mailing list in Maintainer field
    - Bump policy version to 4.2.1
    - Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 29 Nov 2018 16:53:18 +0800

=== debian/control ===
Source: python-booleanoperations
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-pytest (>= 3.0.2) <!nocheck>,
               python3-pyclipper (>= 1.0.5),
               python3-setuptools,
               python3-setuptools-scm,
               python3-defcon,
               python3-fontpens
Standards-Version: 4.2.1
Homepage: https://github.com/typemytype/booleanOperations
Vcs-Git: https://salsa.debian.org/fonts-team/booleanoperations.git
Vcs-Browser: https://salsa.debian.org/fonts-team/booleanoperations

Package: python3-booleanoperations
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python library for Boolean operations on paths
 Boolean operations on paths based on a super fast polygon clipper library.

## python-booleanoperations 0.9.0

=== requirements.txt ===
# fontTools.ufoLib is not imported directly by booleanOperations, but
# the test suite needs defcon, which in turns requires fonttools installed
# with [ufo] support
fonttools[ufo]==4.0.2
pyclipper==1.1.0.post1

=== debian/changelog ===
python-booleanoperations (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * debian/control:
    - Update dependencies
    - Bump debhelper to 12
    - Bump Standards-Version to 4.4.1
    - Add python3-wheel to Build-Depends
  * debian/salsa-ci.yml: Add CI script for salsa.debian.org
  * debian/rules:
    - Change PYBUILD_NAME to the original package name
    - Add override_dh_clean
  * debian/control: python3-pyclipper needs version with py3.8
  * debian/tests/control: Add test generated by autodep8 for module name

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 17:29:21 +0800

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>,
            Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pytest (>= 3.0.2) <!nocheck>,
-               python3-pyclipper (>= 1.0.5),
+               python3-pyclipper (>= 1.1.0.post2-3),
                python3-setuptools,
                python3-setuptools-scm,
                python3-defcon,
-               python3-fontpens
-Standards-Version: 4.2.1
+               python3-fontpens,
+               python3-wheel
+Standards-Version: 4.4.1
 Homepage: https://github.com/typemytype/booleanOperations
 Vcs-Git: https://salsa.debian.org/fonts-team/booleanoperations.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/booleanoperations

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=booleanOperations

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm Lib/booleanOperations/_version.py

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import booleanOperations; print(booleanOperations)" ; done
Depends: python3-all, python3-booleanoperations
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

## python-booleanoperations 0.10.0

=== requirements.txt ===
# fontTools.ufoLib is not imported directly by booleanOperations, but
# the test suite needs defcon, which in turns requires fonttools installed
# with [ufo] support
fonttools[ufo]==4.61.1
pyclipper==1.4.0

=== debian/changelog ===
python-booleanoperations (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/Approximate-pen-point.patch: Dropped, fixed upstream.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jan 2026 10:19:40 -0500

python-booleanoperations (0.9.0-4) unstable; urgency=medium

  * Approximate pen point (Closes: #1102967)

  [ Boyuan Yang ]
  * debian/watch: Fix

 -- Bastian Germann <bage@debian.org>  Wed, 14 May 2025 17:43:16 +0200

python-booleanoperations (0.9.0-3) unstable; urgency=medium

  * Team upload.
  * debian/clean: Clean egg-info files.
  * debian/source/options: Ignore egg-info-related source changes.
    (Closes: #1047571)

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Aug 2023 21:07:25 -0400

python-booleanoperations (0.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Yao Wei (魏銘廷) ]
  * debian/watch: Update GitHub watch URL format.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.1.
  * Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 22:48:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: python-booleanoperations
 Section: fonts
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>,
            Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pytest (>= 3.0.2) <!nocheck>,
-               python3-pyclipper (>= 1.1.0.post2-3),
+               python3-pyclipper (>= 1.4),
                python3-setuptools,
                python3-setuptools-scm,
                python3-defcon,
                python3-fontpens,
                python3-wheel
-Standards-Version: 4.4.1
+Standards-Version: 4.7.3
 Homepage: https://github.com/typemytype/booleanOperations
 Vcs-Git: https://salsa.debian.org/fonts-team/booleanoperations.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/booleanoperations
